Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056582 - Guided rule editor fails to open rules that use from
Summary: Guided rule editor fails to open rules that use from
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR2
: 6.0.0
Assignee: Toni Rikkola
QA Contact: Tomas David
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 14:14 UTC by Toni Rikkola
Modified: 2014-08-06 20:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:17:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Toni Rikkola 2014-01-22 14:14:59 UTC
Steps to Reproduce:
1. Add java.lang.Number into import suggestions if it is not there already
2. Add a fact type called Counter with a field number of type java.lang.Number
3. Make the following in a guided rule editor

cc :Counter()
Number from cc.number

4. Save and reopen the rule

Actual results:
The user sees an error "Unable to complete your request. The following exception occurred: Unknown pattern source from kk.number." and can not see the rule.

Expected results:
Rule should open as it was when it was closed.


Additional info:

Comment 2 manstis 2014-01-22 15:28:49 UTC
Toni, (if not already doing so) could you please write a test for Mario?

Comment 4 Edson Tirelli 2014-01-22 20:41:46 UTC
(master) https://github.com/droolsjbpm/drools/commit/00f3c3c34

Comment 6 Tomas David 2014-01-27 10:11:49 UTC
Verified on BRMS 6.0.0.CR2.


Note You need to log in before you can comment on or make changes to this bug.